<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>diary-report-e</ion-title>
  </ion-toolbar>
</ion-header>

<!-- <ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">diary-report-e</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->
<ion-content padding>
  <form #studForm="ngForm" (ngSubmit)="getStudentListBasedOnFilter()">
    <ion-list>
      <ion-item>
        <ion-label position="floating">Date</ion-label>
        <ion-datetime displayFormat="MM/DD/YYYY" [(ngModel)]="DairyReportObject.AttendanceDate" name="ReportDate" required></ion-datetime>
      </ion-item>
    </ion-list>
    

    <ion-list>
      <ion-item>
        <ion-label position="floating">Batch</ion-label>
        <ion-select [(ngModel)]="DairyReportObject.BatchId" name="Batch" required>
          <ion-select-option *ngFor="let batch of batchList" [value]="batch.Id">{{batch.Name}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Course</ion-label>
        <ion-select [(ngModel)]="DairyReportObject.CourseId" name="Course" required>
          <ion-select-option *ngFor="let course of courseList" [value]="course.Id">{{course.Name}}</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-list>
    

    <div>
      <ion-button block type="submit" [disabled]="!studForm.form.valid">Next</ion-button>
    </div>
    
  </form>
</ion-content>

<ion-content padding [hidden]="submittedValue">
  <form #DiaryReport="ngForm" (ngSubmit)="submtDiaryReport()">
    <ion-searchbar
      [(ngModel)]="studentList.StudentName"
      [showCancelButton]="true"
      (ionInput)="onInput($event)"
      name="searchbar"
    ></ion-searchbar>

    <ion-list>
      <ion-item>
        <ion-label position="floating">Send to</ion-label>
        <ion-select placeholder="Select" [(ngModel)]="DiaryReportStudent.markAll" (ngModelChange)="SelectAll()" name="select" required>
          <ion-select-option *ngFor="let i of Onmark" [value]="i.Id">{{i.Name}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item *ngFor="let item of studentList">
        <ion-label>{{item.StudentName}}</ion-label>
        <ion-toggle [(ngModel)]="item.isPresent" name="student"></ion-toggle>
      </ion-item>

      <ion-item>
        <ion-label color="primary" position="floating">Diary Title</ion-label>
        <ion-textarea [(ngModel)]="DiaryReportStudent.Title" name="title" required></ion-textarea>
      </ion-item>

      <ion-item>
        <ion-label color="primary" position="floating">Diary Note</ion-label>
        <ion-textarea [(ngModel)]="DiaryReportStudent.Note" name="note" required></ion-textarea>
      </ion-item>

      <ion-item>
        <ion-button expand="full" [disabled]="!DiaryReport.form.valid" type="submit">Submit</ion-button>
      </ion-item>
      
    </ion-list>
  </form>
</ion-content>
